- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: ca373548-a92d-4af5-83a2-2bf9b7c1d4fd
    creation_time: 2023-02-17T13:42:08.785188Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/sqrt1.c
      input_file_hashes:
        c/nla-digbench/sqrt1.c: 2e9a55aa09745869b0a9fde4bfd60677a92d95b382e86fe0cc8216fa5e9e75d1
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/sqrt1.c
    file_hash: 2e9a55aa09745869b0a9fde4bfd60677a92d95b382e86fe0cc8216fa5e9e75d1
    line: 32
    column: 0
    function: main
  loop_invariant:
    string: t == 2 * a + 1 && s == (a + 1) * (a + 1) && t * t - 4 * s + 2 * t + 1 == 0
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 40c36624-9101-4694-9b8d-41b1ad20f489
    creation_time: 2023-02-17T13:42:08.785630Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/sqrt1.c
      input_file_hashes:
        c/nla-digbench/sqrt1.c: 2e9a55aa09745869b0a9fde4bfd60677a92d95b382e86fe0cc8216fa5e9e75d1
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/sqrt1.c
    file_hash: 2e9a55aa09745869b0a9fde4bfd60677a92d95b382e86fe0cc8216fa5e9e75d1
    line: 32
    column: 0
    function: main
  location_invariant:
    string: t == 2 * a + 1
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 2aaa1ad5-d604-4666-9f74-b6f2f7ae3e3a
    creation_time: 2023-02-17T13:42:08.785716Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/sqrt1.c
      input_file_hashes:
        c/nla-digbench/sqrt1.c: 2e9a55aa09745869b0a9fde4bfd60677a92d95b382e86fe0cc8216fa5e9e75d1
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/sqrt1.c
    file_hash: 2e9a55aa09745869b0a9fde4bfd60677a92d95b382e86fe0cc8216fa5e9e75d1
    line: 32
    column: 0
    function: main
  location_invariant:
    string: s == (a + 1) * (a + 1)
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 0fedb3fd-2ef8-4140-bd65-5077eae63f64
    creation_time: 2023-02-17T13:42:08.785796Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/sqrt1.c
      input_file_hashes:
        c/nla-digbench/sqrt1.c: 2e9a55aa09745869b0a9fde4bfd60677a92d95b382e86fe0cc8216fa5e9e75d1
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/sqrt1.c
    file_hash: 2e9a55aa09745869b0a9fde4bfd60677a92d95b382e86fe0cc8216fa5e9e75d1
    line: 32
    column: 0
    function: main
  location_invariant:
    string: t * t - 4 * s + 2 * t + 1 == 0
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: bbe3304e-660d-4e67-8ea2-612469ad38b0
    creation_time: 2023-02-17T13:42:08.785877Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/sqrt1.c
      input_file_hashes:
        c/nla-digbench/sqrt1.c: 2e9a55aa09745869b0a9fde4bfd60677a92d95b382e86fe0cc8216fa5e9e75d1
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/sqrt1.c
    file_hash: 2e9a55aa09745869b0a9fde4bfd60677a92d95b382e86fe0cc8216fa5e9e75d1
    line: 45
    column: 0
    function: main
  location_invariant:
    string: t == 2 * a + 1
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 66024f30-2a34-4e57-bdcc-ee11f289d61c
    creation_time: 2023-02-17T13:42:08.785956Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/sqrt1.c
      input_file_hashes:
        c/nla-digbench/sqrt1.c: 2e9a55aa09745869b0a9fde4bfd60677a92d95b382e86fe0cc8216fa5e9e75d1
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/sqrt1.c
    file_hash: 2e9a55aa09745869b0a9fde4bfd60677a92d95b382e86fe0cc8216fa5e9e75d1
    line: 45
    column: 0
    function: main
  location_invariant:
    string: s == (a + 1) * (a + 1)
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 0437c8cd-b8de-4ed6-b8e7-031048b54354
    creation_time: 2023-02-17T13:42:08.786033Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/sqrt1.c
      input_file_hashes:
        c/nla-digbench/sqrt1.c: 2e9a55aa09745869b0a9fde4bfd60677a92d95b382e86fe0cc8216fa5e9e75d1
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/sqrt1.c
    file_hash: 2e9a55aa09745869b0a9fde4bfd60677a92d95b382e86fe0cc8216fa5e9e75d1
    line: 45
    column: 0
    function: main
  location_invariant:
    string: t * t - 4 * s + 2 * t + 1 == 0
    type: assertion
    format: C

